Name:			viking
Version:		1.8
Release:		%mkrel 1
Summary:		Global positioning system (GPS) and mapping manager
Group:			Communications
License:		GPLv2+
URL:			http://viking.sourceforge.net
Source:			https://prdownloads.sourceforge.net/viking/%{name}-%{version}.tar.xz
Patch1:			0001-Fix-build-without-mapnik.patch
Patch2:			0002-Fix-build-without-sqlite.patch
Patch3:			viking-1.8-mga-multiple-def.patch

BuildRequires:		intltool
BuildRequires:		imagemagick
BuildRequires:		pkgconfig(expat)
BuildRequires:		pkgconfig(libcurl)
BuildRequires:		pkgconfig(libgeoclue-2.0)
BuildRequires:		pkgconfig(libgps)
BuildRequires:		pkgconfig(libzip)
BuildRequires:		pkgconfig(gio-2.0) >= 2.12
BuildRequires:		pkgconfig(glib-2.0) >= 2.12
BuildRequires:		pkgconfig(gthread-2.0) >= 2.2
BuildRequires:		pkgconfig(gtk+-2.0) >= 2.12
BuildRequires:		pkgconfig(gexiv2)
BuildRequires:		pkgconfig(nettle)
BuildRequires:		pkgconfig(oauth)
BuildRequires:		pkgconfig(sqlite3)
BuildRequires:		gnome-doc-utils >= 0.3.2
BuildRequires:		gtk-doc
BuildRequires:		scrollkeeper
BuildRequires:		magic-devel

Requires:		gpsbabel

%description
Viking is a free/open source program to manage GPS data. You can import and
plot tracks and way-points, show Terraserver maps under it, add coordinate
lines, make new tracks and way-points, hide different things, etc.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-mapnik
%make_build

%install
%make_install

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Geography" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/omf/%{name}/
%{_mandir}

%post
%update_menus

%postun
%clean_menus



%changelog
* Sun Mar 07 2021 tex - 1.8-1pclos2021
- new version
